[Pdx-pm] Ask PDX.PM: SVK 2.0 on Win32

Michael G Schwern schwern at gmail.com
Sat Jan 6 14:33:52 PST 2007

Eric Wilhelm wrote:
> # from Kris Bosland
> # on Friday 05 January 2007 01:58 pm:
>> I thought I read something that said I couldn't use
>> 1.2 with 1.4.  But that would be a 1.4 client with a 1.2 server.
>>  Maybe they mean that 1.X client will work with 1.Y server where
>>  X <  Y?  Maybe it is a TortiseSVN problem
>>  and not a Subversion problem. 
> My guess would be that you can't use tortise 1.2 on the same *working 
> copy* as the svn 1.4 command-line client.  I've never seen a 
> client/server incompatibility.  The working copies are quite a bit 
> pickier because of all of the data stored in files in the .svn 
> directory.  But svk doesn't use any of the (I think they call it 
> something south of "ugly") working-copy code from svn, so no worries 
> there.

http://tortoisesvn.tigris.org/compatibility.html has a client/server compatibility matrix.  It basically says yes, all 1.x versions of Tortoise and SVN are compatible with each other, but the client might have functions the server does not implement.  So there shouldn't be any harm in using the latest SVN clients with older servers or vice-versa.

More information about the Pdx-pm-list mailing list